/////////////////////////////////////////////////////////
// 3. Optimization script                              //
/////////////////////////////////////////////////////////

exec Optimization/Cost_Function.sce

PopSize     = 5
Proba_cross = 0.5;
Proba_mut   = 0.3;
NbGen       = 20;
Log         = %T;

ga_params = init_param();
ga_params = add_param(ga_params,'dimension',4);
ga_params = add_param(ga_params,"minbound",[0.005 0.3 -0.01 4]);
ga_params = add_param(ga_params,"maxbound",[0.02 0.67 0.05 8]);

[pop_opt, fobj_pop_opt] = optim_moga(mycostfunc, PopSize,NbGen, Proba_mut, Proba_cross, Log, ga_params)
 
disp(pop_opt)
